/*
  This file is part of SLS.
  Copyright (C) 2008 Sebastien LUTTRINGER <contact@seblu.net>

  SLS is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  SLS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with SLS; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "sls.hh"
#include "server.hh"

/*!
 * Constructor
 */
Server::Server() : socket_(0), thread_count_(0) {}

/*!
 * Start server. Creating socket
 */
void Server::start() {

}

/*!
 * @return if server is started or not
 */
bool Server::started() const {
  return socket_ != 0;
}

/*!
 * Start server. Destroy socket
 */
void Server::stop() {

}

/*!
 * Server listen routine. This create new thead.
 */
void Server::listen(size_t max_thread) {
  assert(max_thread > 0);
}
